Subject: (none)

From: [email-masked] (phil geis)
Date: 16 Nov 1996 03:17:21 -0800

I think you folks are off base in seeing products of meiosis as  
"analogous" to products of mitosis - the strucutres may have 
superficial gross similarities but are intrinsically different.